<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML FORMS</title>
</head>
<body>
	<header>
	<h2 align="center">Welcome to the Forms Page</h2>
	</header>
	<!-- 
		Semantic Tags
		Semantic tags are a new addition to HTML. Semantic Tags are tags which are meaningful and descriptive of the element they create. <em>, <strong> are samples of semantic tags. There are other semantic tags that act much like divs that they are containers of elements, text and even other containers

		The difference between a div and semantic container is that a semantic container is descriptive of the content that it contains even without relying to a semantic id.

		Semantic Containers are preferred such as nav, main, section, header, because they provide good Search Engine Optimization and it is much helpful and clearer for the other developers looking at our code.
	 -->
	<nav>
		<ul>
			<li>
				<a href="./index.html">Index Page</a>
			</li>
		
			<li>
				<a href="./table.html">Table Page</a>
			</li>
		
			<li>
				<a href="../activity/contact.html">Contact Page</a>
			</li>
		</ul>
	</nav>
	<!-- nav container is mostly used to contain navigation links -->
	<!-- main container is used to show the main content of the page -->
	<!-- section container is used to show sections of a main content or a pag -->
	<main>
		<section>
			<h2>HTML Forms</h2>
			<p>
				HTML Forms are used to gather information or data from our user and send that information to a server
			</p>
		</section>
		<section>
			<!-- 
				form tag allows us to create a form. We can then gather data or user input from our form and submit it to a server.

				action attribute in a form allows us to submit/pass the data to the server that given

				label tag allows us to create an element that serves as a laber or indicator to the input

				for attribute allows us to associate a label to a particular input element by passing the id of the input element as its value.

				input tag creates an input element for user input. Input tag has many types which allows for different kinds of data to be gathered like text, number, date, etc

				input type text allows us to create an input element that gathers text.

				required attribute allows us to check if the input element is filled and if it is not, we cannot submit the form

				autocomplete attribute allows us for our browser to provide suggestions to autocomplete your inputs for a better user experience.

				button are elements which allows us to do and interact with our page for certain tasks, type="submit" allows us to determine that the button is used to submit the form, type="reset" allows us to reset the input in the form. 

				type=submit or type attribute for a button allows us to distinguish the action of that button. Because if no type is indicated for a button it will submit the form regardless of the text you added to it.

				input type date changes the behavior of the input element in that it allows for the input of dates.

				min and max attributes for input type number will allow us to set the minimum number or the maximum number allowed for input.

				input type number allows us to input only numbers in our input elements.

				select element allows us to create a dropdown menu with choices

				option tag allows us to create options/choices available for our select tag.

				value attribute is added to our option to provide value or data per option. This is done because the options vannot be typed into and receive input.

				input type radio allows us to create a radio button and provide users a single selection out of multiple choices

				input type checkbox will create a checkbox for multiple selections among multiple choices.



			 -->
			<form action="https://google.com">
				<!-- full name -->
				<label for="fname">Full Name</label>
				<br>
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				
				<!-- birthdate -->
				<label for="bday">Birthdate</label>
				<br>
				<input type="date" name="birthdate" id="bday" required>
				<br>
				<label for="ageInput">Age</label>
				<input type="number" name="age" id="ageInput" required min="18" max="40">
				<!-- gender -->
				<br>
				<label for="genderInput">Gender</label>
				<select name="gender" id="genderInput" required>
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				
				<!-- radio button -->
				<br>
				<label>New User?</label>
				<br>
					<input type="radio" name="new_user" id="radioUser1" value="yes">
					<label for="radiouser1">Yes</label>
				<br>
					<input type="radio" name="new_user" id="radioUser2" value="no">
					<label for="radioUser2">No</label>
				<br>
				
				<!-- checkbox -->
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="manager">
				<label for="roleInput2">Manager</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="supervisor">
				<label for="roleInput3">Supervisor</label>
				
				<!-- submit button -->
				<br>
				<button type="submit">Submit</button>
				
				<!-- reset button -->
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>
</body>
</html>